OfonoCallBarring Class Reference

This class is used to access oFono call barring API. More...

`#include <ofonocallbarring.h>`

Inheritance diagram for OfonoCallBarring:

## Public Slots

void | requestVoiceIncoming ()
void | setVoiceIncoming (const QString &barrings, const QString &password)
void | requestVoiceOutgoing ()
void | setVoiceOutgoing (const QString &barrings, const QString &password)
void | changePassword (const QString &old_password, const QString &new_password)
void | disableAll (const QString &password)
void | disableAllIncoming (const QString &password)
void | disableAllOutgoing (const QString &password)

## Signals

void | voiceIncomingComplete (bool success, const QString &barrings)
void | voiceOutgoingComplete (bool success, const QString &barrings)
void | voiceIncomingChanged (const QString &barrings)
void | voiceOutgoingChanged (const QString &barrings)
void | setVoiceIncomingFailed ()
void | setVoiceOutgoingFailed ()
void | changePasswordComplete (bool success)
void | disableAllComplete (bool success)
void | disableAllIncomingComplete (bool success)
void | disableAllOutgoingComplete (bool success)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoCallBarring (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono call barring API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/call-barring-api.txt

The documentation for this class was generated from the following file:

- lib/ofonocallbarring.h